Summary:	eCAP - the code in the middle
Summary(pl.UTF-8):	eCAP - kod pośredniczący
Name:		libecap
Version:	1.0.1
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://www.measurement-factory.com/tmp/ecap/%{name}-%{version}.tar.gz
# Source0-md5:	ba3b9025264e6c23e6413666fff9fdab
Patch0:		%{name}-c++11.patch
URL:		http://www.e-cap.org/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eCAP is a software interface that allows a network application, such
as an HTTP proxy or an ICAP server, to outsource content analysis and
adaptation to a loadable module. For each applicable protocol message
being processed, an eCAP-enabled application supplies the message
details to the adaptation module and gets back an adapted message or a
"not interested" response. These exchanges often include message
bodies.

If you are familiar with the ICAP protocol (RFC 3507), then you may
think of eCAP as an "embedded ICAP", where network interactions with
an ICAP server are replaced with function calls to an adaptation
module.

%description -l pl.UTF-8
eCAP to programowy interfejs pozwalający aplikacji sieciowej, takiej
jak proxy HTTP lub serwerowi ICAP, zlecać analizę i adaptację treści
wczytywanemu modułowi. Dla każdego przetwarzanego komunikatu
obsługiwanego protokołu aplikacja obsługująca eCAP przekazuje
szczegóły komunikatu do modułu adaptacyjnego, po czym odbiera
przekształcony komunikat albo odpowiedź "brak zainteresowania".
Wymiana ta często obejmuje ciała wiadomości.

W nawiązaniu do protokołu ICAP (RFC 3507) eCAP można wyobrażać sobie
jako "osadzonym ICAP", gdzie interakcje sieciowe z serwerem ICAP
zostały zastąpione wywołaniami funkcji modułu adaptacyjnego.

%package devel
Summary:	Header files for eCAP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki eCAP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for eCAP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki eCAP.

%package static
Summary:	Static eCAP library
Summary(pl.UTF-8):	Statyczna biblioteka eCAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static eCAP library.

%description static -l pl.UTF-8
Statyczna biblioteka eCAP.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libecap.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS LICENSE NOTICE README
%attr(755,root,root) %{_libdir}/libecap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecap.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecap.so
%{_includedir}/libecap
%{_pkgconfigdir}/libecap.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libecap.a
%changelog
* Wed Apr 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libecap.git;a=log;h=master

* Mon Mar 12 2018 Marcin Krol <hawk@tld-linux.org> 2b956e0
- added C++11 patch, fixed unresolved symbols when compiling with ecap and
  --std=c++11, ie. squid

* Sun Feb 14 2016 Łukasz Kieś <kiesiu@pld-linux.org> 41a9fc7
- updated to 1.0.1

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> f80edc8
- x32 rebuild
- release 2 (by relup.sh)

* Sat Sep 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 305df7a
- updated to 1.0.0 (note: new soname)
- pl

* Fri Oct 26 2012 Jan Rękorajski <baggins@pld-linux.org> 61b3bf4
- package pkgconfig file instead of libtool .la
- rel 2

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 1d01e87
- Up to 0.2.0
- Bump so rel

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 46938b0
- BR: libstdc++-devel

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 7e4da45
- Up to 0.0.3
- Removed patch integrated upstream

* Wed Sep 08 2010 Jan Rękorajski <baggins@pld-linux.org> fe13d92
- rel 1
- typo

* Wed Sep 08 2010 Jan Rękorajski <baggins@pld-linux.org> 036d665
- initial revision

